Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class AddPageAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.AddPageAction

    public class AddPageAction

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Julien Viet

Nested Class Summary
`static interface` | `AddPageAction.Listener`

Field Summary
`AddPageAction.Listener` | `listener` An optional listener.
`java.lang.String` | `messageTarget` The message id when an error happens.
`PageContainer` | `pageContainer` The page container that will create the child.
`java.lang.String` | `pageName` The page name to create.

Constructor Summary
`AddPageAction()`

Method Summary
`void` | `execute()`
`AddPageAction.Listener` | `getListener()`
`java.lang.String` | `getMessageTarget()`
`PageContainer` | `getPageContainer()`
`void` | `setListener(AddPageAction.Listener listener)`
`void` | `setMessageTarget(java.lang.String messageTarget)`
`void` | `setPageContainer(PageContainer pageContainer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageContainer

    public PageContainer pageContainer

  The page container that will create the child.

### pageName

    public java.lang.String pageName

  The page name to create.

### listener

    public AddPageAction.Listener listener

  An optional listener.

### messageTarget

    public java.lang.String messageTarget

  The message id when an error happens.

Constructor Detail

### AddPageAction

    public AddPageAction()

Method Detail

### execute

    public void execute()

### getPageContainer

    public PageContainer getPageContainer()

### setPageContainer

    public void setPageContainer(PageContainer pageContainer)

### getMessageTarget

    public java.lang.String getMessageTarget()

### setMessageTarget

    public void setMessageTarget(java.lang.String messageTarget)

### getListener

    public AddPageAction.Listener getListener()

### setListener

    public void setListener(AddPageAction.Listener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD